Index: zpt/viewer_images.zpt
===================================================================
--- zpt/viewer_images.zpt	(revision 483)
+++ zpt/viewer_images.zpt	(revision 485)
@@ -51,10 +51,10 @@
               left python:test(flowLtr,prev,next); right python:test(flowLtr,next,prev);
               leftest python:test(flowLtr,first,last); rightest python:test(flowLtr,last,first);">
-    <div class="page_head" metal:use-macro="here/template/head_main/macros/main" />
-    <div class="page_body" tal:condition="python:here.isAccessible(docinfo)">
+    <div class="page-head" metal:use-macro="here/template/head_main/macros/main" />
+    <div class="page-body" tal:condition="python:here.isAccessible(docinfo)">
       <!--table of contents-->
-      <div class="col_left" metal:use-macro="python:path('here/template/toc_%s/macros/main'%tocMode)" />
+      <div class="col-left" metal:use-macro="python:path('here/template/toc_%s/macros/main'%tocMode)" />
       <!-- text page -->
-      <div class="col_main">
+      <div class="col-main">
         <div class="ruler">
           <form class="autosubmit" tal:attributes="action viewerUrl">
@@ -86,10 +86,10 @@
           </div>
         </div> <!-- content -->
-      </div> <!-- col_main -->
-      <div class="col_right">
+      </div> <!-- col-main -->
+      <div class="col-right">
         BUTTONS
       </div>
-    </div> <!-- page_body -->
-    <div class="page_body" tal:condition="python:not here.isAccessible(docinfo)">
+    </div> <!-- page-body -->
+    <div class="page-body" tal:condition="python:not here.isAccessible(docinfo)">
       <div class="errortext">Sorry, access to this document is restricted.</div>
     </div>
Index: zpt/viewer_text.zpt
===================================================================
--- zpt/viewer_text.zpt	(revision 483)
+++ zpt/viewer_text.zpt	(revision 485)
@@ -19,11 +19,12 @@
               leftest python:test(flowLtr,first,last); rightest python:test(flowLtr,last,first);
               textPage python:here.getTextPage(mode=viewType, pn=pn, docinfo=docinfo, pageinfo=pageinfo);">
-  <div class="page_head" metal:use-macro="here/template/head_main/macros/main" />
-  <div class="page_body" tal:condition="python:here.isAccessible(docinfo)">
+  <div class="page-head" metal:use-macro="here/template/head_main/macros/main" />
+  <div class="page-body" tal:condition="python:here.isAccessible(docinfo)">
     <!--table of contents-->
-    <div class="col_left"
+    <div class="col-left"
       metal:use-macro="python:path('here/template/toc_%s/macros/main'%tocMode)" />
+
     <!-- text page -->
-    <div class="col_main">
+    <div class="col-main">
       <div class="ruler">
         <form class="autosubmit" tal:attributes="action viewerUrl">
@@ -59,6 +60,83 @@
         <tal:block tal:replace="structure textPage"/>
       </div>
-    </div>
-  </div>
+    </div> <!-- col-main -->
+    
+    <!-- right-side options -->
+    <div class="col-right">
+        <!--"BEGIN TEXT DISPLAY"  -->
+        <div class="options">
+        <h3>Text display</h3>
+        <form tal:attributes="action viewerUrl" class="autosubmit">
+              <input type="hidden" tal:define="params python:here.getParams(params={'viewType':None})" tal:repeat="param params" tal:attributes="name param; value python:params[param]"/>
+          <input class="autosubmit" type="radio" name="viewType" value="" tal:attributes="checked python:viewType!='xml'"/> Text<br/>
+              <span class="optionsText" tal:condition="python:viewType!='xml'">
+                &nbsp;&nbsp;<input type="checkbox" class="autosubmit" name="viewType" value="dict" tal:attributes="checked python:viewType=='dict'"/> Dictionary<br/>
+              </span>
+              <span class="optionsText" tal:condition="python:viewType!='xml' and docinfo.get('numPlaces',0)">
+                &nbsp;&nbsp;<input type="checkbox" class="autosubmit" name="viewType" value="gis" tal:attributes="checked python:viewType=='gis'"/> Places<br/>
+              </span> <input type="radio" class="autosubmit" name="viewType" tal:attributes="value string:xml; checked python:viewType=='xml'"/> XML<br/>
+              <input type="submit" value="Go!"/>
+        </form>
+      </div>
+      <!--"END TEXT DISPLAY"-->
+      
+      <!--"BEGIN TEXT SIZE"-->
+      <div class="options">
+        <h4>Text size</h4>
+        <div class="fsizer">
+          &nbsp;
+          <a href="javascript:fontSize(12);" class="fs_sml">A</a>
+          <a href="javascript:fontSize(14);" class="fs_med">A</a>
+          <a href="javascript:fontSize(16);" class="fs_lrg">A</a>
+        </div>
+      </div>
+      <!--"END TEXT SIZE"-->    
+      
+      <!--"BEGIN DICTIONARY OVERVIEW"-->
+      <div class="options" tal:condition="python:viewType=='dict'">
+        <h4>Dictionary view</h4>
+        <form name="f3" action="">
+          <input type="radio" name="r3"/>Tab<br/>
+          <input type="radio" name="r3"/>Window<br/>
+        </form>
+      </div>
+      <!--"END DICTIONARY OVERVIEW"-->
+      
+      <!--"BEGIN TEXT NORMALIZATION"-->
+      <div class="options" tal:condition="python:viewType!='xml'">
+        <h4>Text normalization</h4>
+        <form tal:attributes="action viewerUrl" class="autosubmit" 
+                  tal:define="norm python:pageinfo.get('characterNormalization','regPlusNorm');">
+              <input type="hidden" tal:define="params python:here.getParams('characterNormalization',None)" tal:repeat="param params" tal:attributes="name param; value python:params[param]"/>
+          <input type="radio" class="autosubmit" name="characterNormalization" value="orig" tal:attributes="checked python:norm=='orig'"/> Original<br/>
+          <input type="radio" class="autosubmit" name="characterNormalization" value="reg" tal:attributes="checked python:norm=='reg'"/> Regularized<br/>
+          <input type="radio" class="autosubmit" name="characterNormalization" value="regPlusNorm" tal:attributes="checked python:norm=='regPlusNorm'"/> Normalized<br/>
+              <input type="submit" value="Go!"/>
+        </form>
+      </div>
+         <!--"END TEXT NORMALIZATION"-->
+          
+          <!--"BEGIN PLACES"-->
+          <div class="options" tal:condition="python:viewType=='gis'">  
+            <tal:block tal:define="gisPlaces python:here.getGisPlaces(docinfo=docinfo, pageinfo=pageinfo); gisAllPlaces python:here.getAllGisPlaces(docinfo=docinfo, pageinfo=pageinfo);">
+              <span><b>Places</b></span><BR/>(Link to extern:)<BR/>
+              <span>Page</span>
+          <span style="float:right">
+        <a tal:attributes="href python:'http://chinagis.mpiwg-berlin.mpg.de/chinagis/REST/db/mpdl/%s?id=%s&format=%s'%(name,gisPlaces,'gis')" target="_blank">
+          <img src="images/arrow.png" alt=""/>
+        </a>
+          </span><BR/>
+              <span>Book</span>
+              <span style="float:right">
+            <a tal:attributes="href python:'http://chinagis.mpiwg-berlin.mpg.de/chinagis/REST/db/mpdl/%s?format=%s'%(name,'gis')" target="_blank">
+          <img src="images/arrow.png" alt=""/>
+            </a>
+          </span><BR/>
+          </tal:block>
+        </div>
+          <!--"END PLACES"-->   
+    </div> <!-- col-right -->
+    
+  </div> <!-- page-body -->
   <div class="page_body" tal:condition="python:not here.isAccessible(docinfo)">
     <div class="errortext">Sorry, access to this document is restricted.</div>
